<!--
  Generated template for the ChattingPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  
    <ion-navbar>
      <button ion-button menuToggle>
          <ion-icon name="menu"></ion-icon>
      </button>
      <ion-title>{{ target }}</ion-title>
    </ion-navbar>
  
  </ion-header>
  
  
  <ion-content padding>
    
      <div id="chatMessages">
        <div *ngFor="let message of messages" [class]="message.specialMessage ? 'message special' : 'message'">
          <div [class]="message.username == username ? 'innerMessage messageRight' : 'innerMessage messageLeft'">
            <div class="username">{{ message.username }}</div>
            <div class="messageContent">{{ message.message }}</div>
          </div>
        </div>
      </div>
    
    </ion-content>
    
    <ion-footer>
      <ion-toolbar>
        <div id="footer">
          <div class="elem"><ion-input type="text" [(ngModel)]="message"></ion-input></div>
          <div class="elem"><button ion-button icon-only (click)="sendMessage()"><ion-icon name="send"></ion-icon> </button></div>
        </div>
      </ion-toolbar>
  </ion-footer>
  